Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151985 - Groovy CC should be realiable
Groovy CC should be realiable
Status: RESOLVED FIXED
Product: groovy
Classification: Unclassified
Component: Editor
6.x
All All
: P1 with 5 votes (vote)
: 7.2
Assigned To: Martin Janicek
issues@groovy
http://wiki.netbeans.org/GroovyDevelo...
:
Depends on: 217157 217159 137262 148861 148936 150862 151030 151032 151034 158535 159463 209453 209455 209500
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 14:56 UTC by Petr Hejl
Modified: 2013-03-26 21:24 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2008-10-31 14:56:11 UTC
Groovy code completion should be reliable enough to display proper methods/fields with right access levels. It should
work for reliable for both groovy and java classes in groovy sources. It should support groovy specific operators such
as "?.".

This is a kind of umbrella issue - there are already several P3 defects reported.

I would recommend to finish some cleanup first - to move field cc to Meta/Java/Groovy element handlers in similar way it
was done for methods.
Comment 1 Petr Hejl 2008-10-31 15:03:20 UTC
Wrong assignment.
Comment 2 Quality Engineering 2013-03-23 01:58:04 UTC
Integrated into 'main-golden', will be available in build *201303222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d0a9d0b96c4b
User: Martin Janicek <mjanicek@netbeans.org>
Log: #151985 - Better sanitazation and more tests for Java Field operator
Comment 3 Martin Janicek 2013-03-26 21:24:30 UTC
Closing this ticket as FIXED. There are still some improvements that are missing, but most of the original problems were already solved during the past year. There is still a lot of work that needs to be done in that area, but having this ticket open doesn't make it clear anymore, so I rather created few smaller enhancements than this "all in one" issue.

I'm currently working on code completion support for various AST transformations. If anyone is interested in, please add yourself to the CC List in the following issues:

issue 227969 - Singleton transformation
issue 227946 - Delegate transformation
issue 218146 - Support for mixins
issue 132849 - Support for categories

..plus I plan to improve type interference for the next release (issue 152778)
Thanks for understanding


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo